Bug 121258 - free on char variable
Summary: free on char variable
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-vfs2   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-19 20:00 UTC by d.binderman
Modified: 2013-03-06 03:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 04:50:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-04-19 20:00:44 UTC
Description of problem:

I just tried to compile Core2 Test2 package gnome-vfs2-2.5.91-2

The compiler said

menu-process.c(1528): warning #967: conversion from "char" to
"gpointer"; sizes
do not match

The source code is

          g_free (tmpchar);

But

  char *p, tmpchar;

It doesn't make any sense to call g_free on a char variable. I'm not
sure what the fix is for this.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jonathan Blandford 2004-04-28 21:54:23 UTC
dan, you showed me this this weekend.  Is it fixed in Fedora?

Comment 2 Matthias Clasen 2005-04-22 04:50:16 UTC
the desktop-file-utils code got moved from gnome-vfs2 into its own package,
and the menu code got moved from desktop-file-utils into gnome-menus.

The offending line was lost on the way...


Note You need to log in before you can comment on or make changes to this bug.